Package weka.core.pmml

# Class FieldMetaInfo.Interval

java.lang.Object
weka.core.pmml.FieldMetaInfo.Interval

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `FieldMetaInfo`

public static class FieldMetaInfo.Interval extends Object implements Serializable
Inner class for an Interval.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FieldMetaInfo.Interval.Closure`
Enumerated type for the closure.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsValue(double value)`
Returns true if this interval contains the supplied value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### containsValue

public boolean containsValue(double value)
Returns true if this interval contains the supplied value.

Parameters:
  `value` - the value to check
Returns:
  true if the interval contains the supplied value

### toString

public String toString()

Overrides:
  `toString` in class `Object`